> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runalloy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a single integration

> Finds a specific integration for a user



## OpenAPI

````yaml get /integrations/{integrationId}
openapi: 3.0.1
info:
  title: Embedded 2025-09
  version: '5.0'
servers:
  - url: https://production.runalloy.com
security: []
paths:
  /integrations/{integrationId}:
    get:
      summary: Retrieve a single integration
      description: Finds a specific integration for a user
      operationId: get-an-integration
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
            default: bearer YOUR_API_KEY
        - $ref: '#/components/parameters/xApiVersion'
        - name: integrationId
          in: path
          description: >-
            This API parameter allows you to filter results based on the
            integrationId or the integrationName (also referred to as 'app').
            The integration name (app) is a custom name that you have set for
            your integration. When using the integration name (app), provide the
            name of the integration you want to filter for (e.g. 'shopify order
            sync' or 'magento product creation'). You can obtain the integration
            name (app) from the List Integrations endpoint under the 'app'
            parameter, or by checking your UI. Either integrationId or
            integrationName must be provided but it cannot be both.
          schema:
            type: string
          required: true
        - name: userId
          in: query
          description: >-
            The Id used to identify the user. Note: you can also use the
            Embedded user's `username` in this field.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      integrationId: 66326843cc9cdb107221f222
                      app: Shopify
                      installed: false
                      icon: https://cdn.runalloy.com/icons/shopify.png
                      workflows:
                        - workflowId: 66326849cc9cdb107221f342
                          name: 'Untitled Workflow #346'
                          installed: false
                          active: false
                          version: 1
                          connectors:
                            - name: On Installation Trigger
                              id: 4762a899-8f38-44d9-a091-f4b6eaba386e
                              connector: onInstallationTrigger
                              icon: >-
                                https://cdn.runalloy.com/icons/OnIntegrationInstallation.svg
                              subtitle: On Installation Trigger
                            - name: Shopify
                              id: 0679a48c-e0f9-455a-91f2-48a739bac9d7
                              connector: shopify
                              icon: https://cdn.runalloy.com/icons/shopify.png
                              subtitle: Gets a list of all Products
                            - name: Shopify
                              id: 24ed5879-4aa9-4a2c-b8dc-afe6413c1ca7
                              connector: shopify
                              icon: https://cdn.runalloy.com/icons/shopify.png
                              subtitle: Shopify
                      credentials:
                        - shopify
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      integrationId:
                        type: string
                        example: 63ea758e82c3074141968bb9
                      app:
                        type: string
                        example: Magento
                      installed:
                        type: boolean
                        example: false
                        default: true
                      icon:
                        type: string
                        example: https://cdn.runalloy.com/icons/magento.png
                      workflows:
                        type: array
                        items:
                          type: object
                          properties:
                            workflowId:
                              type: string
                              example: 63ea75a2fcf2e2c72e805ddc
                            name:
                              type: string
                              example: Magento Order Sync
                            installed:
                              type: boolean
                              example: true
                              default: true
                            version:
                              type: integer
                              example: 1
                              default: 0
                            installedVersion:
                              type: integer
                              example: 1
                              default: 0
                            active:
                              type: boolean
                              example: true
                              default: true
                            blocks:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    example: Custom Event
                                  id:
                                    type: string
                                    example: bc9202b2-8e7e-47d4-9416-5ba6b319fa2a
                                  type:
                                    type: string
                                    example: customEvent
                                  icon:
                                    type: string
                                    example: >-
                                      https://cdn.runalloy.com/icons/app-event.svg
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: '{}'
              schema:
                type: object
                properties: {}
      deprecated: false
      security: []
      x-code-samples:
        - lang: cURL
          source: >
            curl -X GET
            "https://production.runalloy.com/integrations/{integrationId}?userId={{userId}}"
            \
              -H "Authorization: bearer YOUR_API_KEY" \
              -H "x-api-version: 2025-09"
        - lang: Python
          source: |
            import requests

            url = "https://production.runalloy.com/integrations/{integrationId}"
            params = {"userId": "{{userId}}"}
            headers = {
                "Authorization": "bearer YOUR_API_KEY",
                "x-api-version": "2025-09"
            }

            response = requests.get(url, params=params, headers=headers)
            print(response.json())
        - lang: JavaScript
          source: >
            const userId = "{{userId}}";

            const integrationId = "{integrationId}";

            const url =
            `https://production.runalloy.com/integrations/${integrationId}?userId=${userId}`;


            fetch(url, {
              method: "GET",
              headers: {
                "Authorization": "bearer YOUR_API_KEY",
                "x-api-version": "2025-09"
              }
            })
              .then(response => response.json())
              .then(data => console.log(data))
              .catch(error => console.error("Error:", error));
        - lang: PHP
          source: >
            <?php

            $userId = "{{userId}}";

            $integrationId = "{integrationId}";

            $url =
            "https://production.runalloy.com/integrations/{$integrationId}?userId="
            . urlencode($userId);


            $ch = curl_init($url);

            curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);

            curl_setopt($ch, CURLOPT_HTTPHEADER, [
                "Authorization: bearer YOUR_API_KEY",
                "x-api-version: 2025-09"
            ]);


            $response = curl_exec($ch);

            curl_close($ch);

            $data = json_decode($response, true);

            print_r($data);

            ?>
        - lang: Go
          source: |
            package main

            import (
                "encoding/json"
                "fmt"
                "io"
                "net/http"
                "net/url"
            )

            func main() {
                userId := "{{userId}}"
                integrationId := "{integrationId}"
                baseURL := "https://production.runalloy.com/integrations/" + integrationId
                params := url.Values{}
                params.Add("userId", userId)
                fullURL := baseURL + "?" + params.Encode()

                req, _ := http.NewRequest("GET", fullURL, nil)
                req.Header.Set("Authorization", "bearer YOUR_API_KEY")
                req.Header.Set("x-api-version", "2025-09")

                client := &http.Client{}
                resp, _ := client.Do(req)
                defer resp.Body.Close()

                body, _ := io.ReadAll(resp.Body)
                var data map[string]interface{}
                json.Unmarshal(body, &data)
                fmt.Println(data)
            }
        - lang: Java
          source: |
            import java.net.HttpURLConnection;
            import java.net.URL;
            import java.io.BufferedReader;
            import java.io.InputStreamReader;
            import com.google.gson.Gson;
            import java.util.Map;

            public class Example {
                public static void main(String[] args) throws Exception {
                    String userId = "{{userId}}";
                    String integrationId = "{integrationId}";
                    String baseUrl = "https://production.runalloy.com/integrations/" + integrationId;
                    String urlString = baseUrl + "?userId=" + java.net.URLEncoder.encode(userId, "UTF-8");
                    
                    URL url = new URL(urlString);
                    HttpURLConnection conn = (HttpURLConnection) url.openConnection();
                    conn.setRequestMethod("GET");
                    conn.setRequestProperty("Authorization", "bearer YOUR_API_KEY");
                    conn.setRequestProperty("x-api-version", "2025-09");
                    
                    BufferedReader in = new BufferedReader(new InputStreamReader(conn.getInputStream()));
                    String inputLine;
                    StringBuilder response = new StringBuilder();
                    while ((inputLine = in.readLine()) != null) {
                        response.append(inputLine);
                    }
                    in.close();
                    
                    Gson gson = new Gson();
                    Map<String, Object> data = gson.fromJson(response.toString(), Map.class);
                    System.out.println(data);
                }
            }
        - lang: Ruby
          source: >
            require 'net/http'

            require 'json'

            require 'uri'


            userId = "{{userId}}"

            integrationId = "{integrationId}"

            base_url =
            "https://production.runalloy.com/integrations/#{integrationId}"

            uri = URI(base_url)

            params = { userId: userId }

            uri.query = URI.encode_www_form(params)


            http = Net::HTTP.new(uri.host, uri.port)

            http.use_ssl = true


            request = Net::HTTP::Get.new(uri)

            request['Authorization'] = 'bearer YOUR_API_KEY'

            request['x-api-version'] = '2025-09'


            response = http.request(request)

            data = JSON.parse(response.body)

            puts data
components:
  parameters:
    xApiVersion:
      name: x-api-version
      in: header
      required: true
      description: The version of the API to use. The current API version is **2025-09**.
      schema:
        type: string
        default: 2025-09

````